Mail archive
alpine-devel

Re: [alpine-devel] Avoiding bloat for Lua 5.1/5.2 modules

From: Natanael Copa <ncopa_at_alpinelinux.org>
Date: Fri, 3 Jan 2014 08:23:24 +0100

On Thu, 2 Jan 2014 11:27:27 -0800 (PST)
Ted Trask <ttrask01_at_yahoo.com> wrote:

> Is there anything besides ACF that is preventing the wholesale move to Lua 5.2? My goal is to get ACF working with Lua 5.2 before the next release.

not really.

The stopper atm is lua-process i think, which seems abandoned from
upstream[1].

I had a short look at it 2 months ago but there was use of environments
etc so I think it will need some refactoring to support 5.2.

If we could get rid of Lua 5.1 within close future, then we could
likely ship both 5.1 and 5.2 in the same lua-<module> package. (and
then we'll get lua 5.3...)

-nc

[1] https://github.com/xlq/lua-subprocess/issues/2



---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Jan 03 2014 - 08:23:24 GMT